﻿using Infragistics.Controls.Grids;
using Infragistics.Controls.Grids.Primitives;
using Infragistics.DragDrop;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridDragDropCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel VM = new ViewModel();
        public MainWindow()
        {

            InitializeComponent();
            this.DataContext = VM;
        }



        private void CustomXamGrid_RowDrop(object sender, RowDragDropEventArgs e)
        {
            Grid g = e.DragDropEventArgs.DropTarget as Grid;
            CellControl CC = Utilities.GetAncestorFromType((DependencyObject)g, typeof(CellControl), false) as CellControl;
         
            SampleData SD = e.DragSource.DataObject as SampleData;
            int rowIndex = CC.Cell.Row.Index;
            
            VM.Data.Remove(SD);
            VM.Data.Insert(rowIndex, SD);
            VM.Data.Remove(CC.DataContext as SampleData);
        }
    }
}
