﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridDragDropCase
{
    public class ViewModel
    {
        string[] foods = { "Seafood", "Meat", "Vegetable", "Fruit", "Various Munchies" };
        double[] prices = { 1.99, 2.99, 3.99, 4.99, 0.99 };
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Random r = new Random();
            Data = new ObservableCollection<SampleData>();
            for (int i = 0; i < 50; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i+1,
                    FoodType = foods[r.Next(5)],
                    Price = prices[r.Next(5)],
                    UnitsInStock = i+10,
                    UnitsOnOrder = i
                });
            }
        }
    }

    public class SampleData
    {

        public int ID { get; set; }
        public string FoodType { get; set; }
        public double Price { get; set; }
        public int UnitsInStock { get; set; }
        public int UnitsOnOrder { get; set; }
    }
}
